Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.source.transform
Class BeanPropertyMethodNameTransformerTest

    java.lang.Object
      org.apache.torque.generator.source.transform.BeanPropertyMethodNameTransformerTest

    public class BeanPropertyMethodNameTransformerTest

extends Object

Converts a source element Attribute such that it can be used as method name. The base of the method name is the attribute content, with special characters removed and case corrected where necessary. Optionally, a prefix and/or suffix can be added. The result is stored into another attribute of the same source element.

Version:
  $Id: BeanPropertyMethodNameTransformerTest.java 1331190 2012-04-27 02:41:35Z tfischer $

Constructor Summary
`BeanPropertyMethodNameTransformerTest()`

Method Summary
`void` | `before()`
`void` | `testNoOverwrite()`
`void` | `testNoOverwriteEmptyTarget()`
`void` | `testNoPrefixSuffix()`
`void` | `testPrefixSuffix()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanPropertyMethodNameTransformerTest

    public BeanPropertyMethodNameTransformerTest()

Method Detail

### before

    public void before()
                throws SourceTransformerException

  Throws:
    `SourceTransformerException`

### testNoPrefixSuffix

    public void testNoPrefixSuffix()
                            throws SourceTransformerException

  Throws:
    `SourceTransformerException`

### testPrefixSuffix

    public void testPrefixSuffix()
                          throws SourceTransformerException

  Throws:
    `SourceTransformerException`

### testNoOverwrite

    public void testNoOverwrite()
                         throws SourceTransformerException

  Throws:
    `SourceTransformerException`

### testNoOverwriteEmptyTarget

    public void testNoOverwriteEmptyTarget()
                                    throws SourceTransformerException

  Throws:
    `SourceTransformerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.